MLAPI API Reference

# BinarySerializer
Serialize
T
Method

[This is preliminary documentation and is subject to change.]

Serializes a class instance to binary

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static byte[] Serialize<T>(
    	T instance
    )

Request Example
View Source

#### Parameters

instance
  Type: T
  The instance to serialize

#### Type Parameters

T
  The class type to serialize

#### Return Value

Type:
Byte
Binary serialized version of the instance
See Also

#### Reference

BinarySerializer Class
MLAPI.NetworkingManagerComponents.Binary Namespace